API ReferenceapipaymentsGET /v1/admin/refunds

GET /v1/admin/refunds

Service: payments · operationId: (none)

Required scopes

(no scope declared — review service config)

Query parameters

  • customer_id (string) —
  • limit (integer) —

Responses

200 Recent refunds

{
  "type": "object",
  "properties": {
    "refunds": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "refund_id": {
            "type": "string"
          },
          "payment_id": {
            "type": "string"
          },
          "charge_id": {
            "type": [
              "string",
              "null"
            ]
          },
          "customer_id": {
            "type": "string"
          },
          "amount_cents": {
            "type": "integer"
          },
          "status": {
            "type": "string"
          },
          "reason": {
            "type": [
              "string",
              "null"
            ]
          },
          "stripe_refund_id": {
            "type": [
              "string",
              "null"
            ]
          },
          "created_at": {
            "type": "string"
          }
        },
        "required": [
          "refund_id",
          "payment_id",
          "charge_id",
          "customer_id",
          "amount_cents",
          "status",
          "reason",
          "stripe_refund_id",
          "created_at"
        ]
      }
    }
  },
  "required": [
    "refunds"
  ]
}

401 Unauthorized

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

403 Forbidden

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://payments.platform.loop.health/v1/admin/refunds \
  -H "Authorization: Bearer $ACCESS_TOKEN"